module.exports = function(sequelize, DataTypes) {
	var FreshPost = sequelize.define(
		'FreshPost',
		{
			post: {
				type: DataTypes.JSONB
			}
		},
		{
			timestamps: false,

			// don't delete database entries but set the newly added attribute deletedAt
			// to the current date (when deletion was done). paranoid will only work if
			// timestamps are enabled
			paranoid: false,

			// don't use camelcase for automatically added attributes but underscore style
			// so updatedAt will be updated_at
			underscored: true,

			// disable the modification of table names; By default, sequelize will automatically
			// transform all passed model names (first parameter of define) into plural.
			// if you don't want that, set the following
			freezeTableName: false,

			// define the table's name
			tableName: 'FreshPosts',

			// Enable optimistic locking.  When enabled, sequelize will add a version count attriubte
			// to the model and throw an OptimisticLockingError error when stale instances are saved.
			// Set to true or a string with the attribute name you want to use to enable.
			version: false
		}
	);

	return FreshPost;
};
