import PostIndex from './PostIndex';
import SettingsIndex from './SettingsIndex';
import NaviIndex from './NavIndex';

export default class DashManager {
	//--------------------------
	// constructor
	//--------------------------
	constructor() {
		this.currentDisplay = '';
		this.urlPieces = document.URL.split('/');
		this.chooseDisplay(this.urlPieces[5], this.urlPieces[6]);
	}
	//--------------------------
	// methods
	//--------------------------
	start() {}

	chooseDisplay(section, page) {
		this.currentDisplay = '';
		switch (section) {
			case 'posts':
				this.currentDisplay = new PostIndex(page);
				break;
			case 'settings':
				this.currentDisplay = new SettingsIndex();
				break;
			case 'navigation':
				this.currentDisplay = new NaviIndex();
				break;

			default:
				// just chill
				break;
		}
		this.start();
	}
	//--------------------------
	// event handlers
	//--------------------------
}
